RMMOD(8)

BEZEICHNUNG

rmmod - Einfaches Programm zum Entfernen eines Moduls aus dem Linux-Kernel

ÜBERSICHT

rmmod [OPTIONEN] [Modulnamenliste]

BESCHREIBUNG

rmmod ist ein triviales Programm, um ein Modul oder eine Liste an Modulen aus dem Kernel zu entfernen (wenn die Unterstützung zum Entladen von Modulen bereitgestellt wird). Die meisten Benutzer sollten stattdessen modprobe(8) mit der Option -r verwenden, da es auch unbenutzte abhängige Module entfernt.

Wird eine Liste von Modulen bereitgestellt, dann wird das Programm sie der Reihe nach verarbeiten.. Falls ein Modul nicht gefunden wird, wird sich rmmod sofort mit einem Fehler-Code beenden.. Sollte das Entfernen eines Moduls fehlschlagen, wird das Programm den Fehler protokollieren UND mit dem nächsten Modul fortfahren.. Dieses Verhalten wird NICHT durch die Option --force gesteuert.

OPTIONEN

-f, --force
    Diese Option kann extrem gefährlich sein: sie hat keine Auswirkung, außer CONFIG_MODULE_FORCE_UNLOAD war beim Kompilieren des Kernels gesetzt. Mit dieser Option können Sie Module entfernen, die verwandt werden oder die nicht dafür gedacht sind, entfernt zu werden oder die als unsicher markiert wurden (siehe lsmod(8)).

-s, --syslog
    Fehler an Syslog schicken statt in die Standardfehlerausgabe zu schreiben.

-v, --verbose
    Gibt Meldungen über die Tätigkeiten des Programms aus. Normalerweise gibt rmmod nur Meldungen aus, falls etwas schief läuft.

-V, --version
    Version des Programms anzeigen und beenden.

-h, --help
    Die Hilfe ausgeben und beenden.

COPYRIGHT

Diese Handbuchseite ist ursprünglich Copyright 2002, Rusty Russell, IBM Corporation.

SIEHE AUCH

modprobe(8), insmod(8), lsmod(8), modinfo(8), depmod(8)

FEHLER

Bitte leiten Sie alle Fehlerberichte (auf Englisch) an die Fehlerdatenbank von kmod unter https://github.com/kmod-project/kmod/issues/ zusammen mit der verwandten Version, Schritten zum Nachvollziehen des Problems und dem erwarten Ergebnis weiter.

AUTOREN

Eine Vielzahl von Beiträgen kamen von der Linux-Modules-Mailingliste <linux-modules@vger.kernel.org> und Github. Falls Sie einen Klon von kmod.git selbst haben, kann Ihnen die Ausgabe von git-shortlog(1) und git-blame(1) die Autoren für bestimmte Teile des Projekts darstellen.

Lucas De Marchi <lucas.de.marchi@gmail.com> ist der aktuelle Betreuer des Projekts.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).